containsItems returned wrong value when checking all day event

Bug #1462989 reported by Gary.Wang on 2015-06-08
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Canonical System Image
High
Bill Filler
qtpim-opensource-src (Ubuntu)
Undecided
Renato Araujo Oliveira Filho
qtpim-opensource-src (Ubuntu RTM)
Undecided
Unassigned

Bug Description

Related issue to
https://bugs.launchpad.net/ubuntu-calendar-app/+bug/1437305

For all day event(startTime == endTime), if all day event created at 2015-06-08
so src/imports/organizer/qdeclarativeorganizermodel.cpp[line:966]
    QList<bool> QDeclarativeOrganizerModel::containsItems(const QDateTime &start, const QDateTime &end, int interval)
   {
    ....
    ....
    startTime = item->itemStartTime(); //(2015-06-08 00:00:00.000)
    endTime = item->itemEndTime(); //(2015-06-08 00:00:00.000)

    // if dateTime.at(i) == (2015-06-07 00:00:00.000), it will return true, actually which would return false since all day event should occur at 2015-06-08 after this line
    if (!endTime.isNull() && endTime > dateTime.at(i) && endTime <= dateTime.at(i + 1)) {
          occupiedTimeSlots[i] = true;
           break;
    }

Gary.Wang (gary-wzl77) wrote :

The attachment "1437305.patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Timo Jyrinki (timo-jyrinki) wrote :

(this is waiting for patch review from Renato Filho)

Gary.Wang (gary-wzl77) wrote :

Yes, Got the feedback from Renato.
Need to set correct end date for all day event.
Thanks for the reviewing.

Changed in qtpim-opensource-src (Ubuntu):
assignee: nobody → Renato Florencio (renato)
assignee: Renato Florencio (renato) → Renato Araujo Oliveira Filho (renatofilho)

Hey guys this could be related with this bug:

https://codereview.qt-project.org/#/c/139662/

@Timo: could you get a silo with this patch to help the guys to test it?

Timo Jyrinki (timo-jyrinki) wrote :

Done. A vivid (only) build at https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/landing-031/+packages is building now and should be installable within 1 hour.

Timo Jyrinki (timo-jyrinki) wrote :

Ok, this would be next in the landing pipeline. The version 5.0~git20140515~29475884-0ubuntu11.1~overlay4 in the same PPA is now rebased on top of the previous two landings.

Changed in canonical-devices-system-image:
status: New → Confirmed
assignee: nobody → Bill Filler (bfiller)
milestone: none → ww02-2016
Changed in canonical-devices-system-image:
status: Confirmed → In Progress
importance: Undecided → High
Łukasz Zemczak (sil2100) wrote :

This bug was fixed in the package qtpim-opensource-src 5.0~git20140515~29475884-0ubuntu11.1~overlay4 in https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/stable-phone-overlay

---------------

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu11.1~overlay4) vivid; urgency=medium

  * debian/patches/QtOrganizer-fix-date-only-value-handling-to-avoid-UT.patch:
    - A patch for all day event returning wrong value (LP: #1462989)

 -- Timo Jyrinki <email address hidden> Mon, 30 Nov 2015 12:30:05 +0000

Changed in qtpim-opensource-src (Ubuntu RTM):
status: New → Fix Released
Changed in canonical-devices-system-image:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtpim-opensource-src - 5.0~git20140515~29475884-0ubuntu17

---------------
qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu17) xenial; urgency=medium

  * Rebuild against Qt 5.5.1
  * Backport patches to make qtpim build with Qt 5.5:
    - debian/patches/fixqt55_1.patch
    - debian/patches/fixqt55_2.patch
  * debian/patches/QtOrganizer-fix-date-only-value-handling-to-avoid-UT.patch:
    - A patch for all day event returning wrong value (LP: #1462989)

 -- Timo Jyrinki <email address hidden> Mon, 30 Nov 2015 12:32:29 +0000

Changed in qtpim-opensource-src (Ubuntu):
status: New → Fix Released
Changed in canonical-devices-system-image:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers